#ifndef __INDENT_P_H__
#define __INDENT_P_H__

extern struct Lisp_Vector * buffer_display_table _P_((void));
extern _VOID_ invalidate_current_column _P_((void));
extern int current_column _P_((void));
extern int position_indentation _P_((register int pos));
extern struct position * compute_motion _P_((int from, int fromvpos,
                                             int fromhpos, int to, int tovpos,
                                             int tohpos, register int width,
                                             int hscroll, int tab_offset));
extern int pos_tab_offset _P_((struct window *w, register int pos));
extern struct position * vmotion _P_((register int from, register int vtarget,
                                      register int width, int hscroll,
                                      Lisp_Object window));
extern _VOID_ syms_of_indent _P_((void));
    
DEFUN_P(Fcurrent_column, (void));
DEFUN_P(Findent_to, (Lisp_Object col, Lisp_Object minimum));
DEFUN_P(Fcurrent_indentation, (void));
DEFUN_P(Fmove_to_column, (Lisp_Object column, Lisp_Object force));
DEFUN_P(Fvertical_motion, (Lisp_Object lines));
    
#endif
